GET
/
payments
/
detail
/
{id}
Get Payment Detail
curl --request GET \
  --url https://api.dompetx.com/v1/payments/detail/{id} \
  --header 'X-DOMPAY-API-Key: <api-key>' \
  --header 'X-DOMPAY-Signature: <api-key>' \
  --header 'X-DOMPAY-Timestamp: <api-key>'

Overview

Retrieve detailed information about a specific payment transaction using its unique transaction ID.

Response Example

{
  "id": "dbd245ac-421d-4e79-ba1a-4a0f90d75dae",
  "status": "paid",
  "amount": 50000,
  "currency": "IDR",
  "type": "qr_dynamic",
  "provider": "dompetx",
  "createdAt": "2025-11-05T04:54:05Z",
  "expiresAt": "2025-11-05T05:09:05Z",
  "qrData": {
    "qrString": "00020101021226610016ID.CO.SHOPEE.WWW...",
    "qrImage": "https://api.dompetx.com/qr/ZNdFsRZIboD9OCVyJ0YF",
    "refId": "dompay-2-1762006527164913509"
  }
}

Authorizations

X-DOMPAY-API-Key
string
header
required
X-DOMPAY-Signature
string
header
required
X-DOMPAY-Timestamp
string
header
required

Path Parameters

id
string
required

Response

200

Payment details retrieved successfully